<template>
  <v-card-text>
    <v-text-field ref="titleInput" class="pb-2" label="Titre" variant="outlined" v-model="model.titre" hide-details></v-text-field>
    <v-textarea class="pb-2" label="Description" variant="outlined" v-model="model.description" hide-details></v-textarea>
    <v-row class="ma-0" justify="end">
      <v-btn
        class="mr-2"
        variant="tonal"
        color="green"
        @click.stop="update"
      >Valider</v-btn>
      <v-btn
        variant="tonal"
        color="red"
        @click.stop="cancel"
      >Annuler</v-btn>
    </v-row>
  </v-card-text>
</template>


<script setup>
const model = defineModel()
const emits =  defineEmits(["UPDATE", "CANCEL"])


const update = () => {
  emits('UPDATE')
}
const cancel = () => {
  emits('CANCEL')
}
</script>

<script>
export default {
  name: "contenu-edition-carte-checklist",
  mounted() {
    this.$refs.titleInput.focus()
  }
}
</script>
